For the complete documentation index, see llms.txt. This page is also available as Markdown.

Visualize

Get Artifact Visualization

get

Get the visualization of an artifact.

Args: artifact_version_id: ID of the artifact version for which to get the visualization. index: Index of the visualization to get (if there are multiple).

Returns: The visualization of the artifact version.

Raises: KeyError: If the artifact version has no artifact store.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
artifact_version_idstring · uuidRequired
Query parameters
indexintegerOptionalDefault: 0
Responses
200

Successful Response

application/json

Model for loaded visualizations.

typestring · enumRequired

All currently available visualization types.

Possible values:
valueany ofRequired
stringOptional
or
stringOptional
get/api/v1/artifact_versions/{artifact_version_id}/visualize
GET /api/v1/artifact_versions/{artifact_version_id}/visualize HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "type": "csv",
  "value": "text"
}
ZenML Scarf

Last updated

Was this helpful?